Bug 1644448 (CVE-2018-18661) - CVE-2018-18661 libtiff: tiff2bw tool failed memory allocation leads to crash
Summary: CVE-2018-18661 libtiff: tiff2bw tool failed memory allocation leads to crash
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18661
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1644450 1644449 1644451 1644452 1647965
Blocks: 1644454
TreeView+ depends on / blocked
 
Reported: 2018-10-30 20:47 UTC by Laura Pardo
Modified: 2019-09-29 15:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:20:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2053 None None None 2019-08-06 12:09:05 UTC

Description Laura Pardo 2018-10-30 20:47:53 UTC
An issue was discovered in LibTIFF 4.0.9. There is a NULL pointer dereference in the function LZWDecode in the file tif_lzw.c. 


References:
http://bugzilla.maptools.org/show_bug.cgi?id=2819

Upstream Patch:
https://gitlab.com/libtiff/libtiff/commit/99b10edde9a0fc28cc0e7b7757aa18ac4c8c225f

Comment 1 Laura Pardo 2018-10-30 20:48:37 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1644449]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1644451]
Affects: fedora-all [bug 1644450]

Comment 4 Stefan Cornelius 2018-11-08 16:01:56 UTC
Statement:

This issue affects the versions of libtiff as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Low, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 9 errata-xmlrpc 2019-08-06 12:09:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2053 https://access.redhat.com/errata/RHSA-2019:2053

Comment 10 Product Security DevOps Team 2019-08-06 19:20:01 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-18661


Note You need to log in before you can comment on or make changes to this bug.